Update an item

Used to modify an item's state. Currently supports:

  • setting the status, level, title, assigned user
  • when resolving, setting the "resolved in version"
  • snoozing / unsnoozing an item (only available for paid accounts)
  • setting the item owner to a team (only available for Advanced and Enterprise accounts)

Example -

curl -X PATCH 'https://api.rollbar.com/api/1/item/275123456' \
  --header "Content-Type: application/json" \
  --data '{"status": "resolved", "resolved_in_version": "aabbcc1"}'
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
int32
required

System-wide id (not project counter) of the item to be modified.

Body Params
string

If present, the new status. Valid values: active, resolved, muted.

string

If not empty, a string up to 40 characters describing the version that the item was resolved in. Only used if status is set to resolved.

string

If present, the new title. Should be a string with length 1 to 255.

string

If present, the new level. Valid values: critical, error, warning, info, debug

int32

If present, the new assigned user ID. Valid values are null or any user ID with access to this item.

int32

If present, the new assigned team ID. Valid values are null or any team ID with access to this item.

boolean

If present, true to snooze or false to unsnooze item.

int32

If present, the new snooze expiration in seconds. Valid values are integer values expressing number of seconds. For example 60 (a minute), 3600 (an hour), and 86400 (a day).

Headers
string
required

Use a Project Access Token with 'write' scope

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json